Subject: Re: bug#65896: 30.0.50; folding text with text properties prevents background from extending past the newline

From: Eli Zaretskii <[email-masked]>
Date: Sat, 30 Sep 2023 16:49:01 +0300

> From: StrawberryTea <[email-masked]>
> Cc: Kévin Le Gouguec <[email-masked]>, Eli
>  Zaretskii
>  <[email-masked]>, [email-masked], Ihor Radchenko
>  <[email-masked]>
> Date: Fri, 29 Sep 2023 14:07:17 -0500
> 
> Basically, it’s always possible to overlay the newline after a fold or shorten
> the fold by one character and overlay a newline for the last character then set
> a face and extend property for that newline.

Sorry, I don't think I follow.  Could you please show some example of
this, perhaps with "ASCII art"?  What do you mean by "overlay the
newline", and what is "the fold" in this context?

> What I think could be an alternative to adding all these overlays is a change on
> the display engine side so that the extend property on a character extends its
> face background regardless of whether it’s a newline character.

That is a non-starter, since there's no text in that part.  We don't
show any parts of the text area with any face unless that part is "in
the middle of text", and the part after EOB isn't.